﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace UmlApp.Models
{
    public class UmlTask
    {
        [ScaffoldColumn(false)]
        public int Id { get; set; }

        [Required]
        public string Title { get; set; }

        [Required]
        [DataType(DataType.MultilineText)]
        public string TaskDescr { get; set; }

        [Required]
        [DataType(DataType.MultilineText)]
        public string TaskContent { get; set; }

        [Required]
        public string TagTaskType { get; set; }

        [Required]
        public string TagComplexity { get; set; }

        [Required]
        public string TagDiagramType { get; set; }

        [Required]
        public string TagRelationshipType { get; set; }        

        public UmlTask() { }
    }
}